4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BDistEgg

Classes: BDistEgg |  |  |  | Functions: get_constants, get_symbols |  |  |  | Globals: EXTENSION_MODULE_STUB, NAMESPACE_PACKAGE_STUB

## Classes

class BDistEgg(distutils.cmd.Command)

  ### Methods

  check_zip_safe(self)
  finalize_options(self)
    Overrides: finalize_options from class Command
  get_eager_resources(self)
  get_egg_filename(self)
  get_entry_points(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  make_distribution(self, files)
  newer(self, description, filename)
  run(self)
    Overrides: run from class Command
  run_command_family(self, family, commands)
  write_extension_module_stubs(self)
  write_file(self, description, contents, filename)
  write_file_lines(self, description, lines, filename)
  write_file_sections(self, description, sections, filename)
  write_metadata(self)
  write_namespace_package_stubs(self)

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['keep-temp', 'skip-build']
  build_commands = ['build_py', 'build_clib', 'build_ext', 'build_scripts']
  command_name = 'bdist_egg'
  description = 'create a Python Egg (.egg) built distribution'
  install_commands = ['install_lib', 'install_data', 'install_l10n', 'install_config']
  user_options = [('bdist-dir=', None, 'temporary directory for creating the distribution'), ('keep-temp', 'k', 'keep the pseudo-installation tree around after creating the distribution archive'), ('plat-name=', 'p', 'platform name to embed in generated filenames'), ('dist-dir=', 'd', 'directory to put final built distributions in'), ('skip-build', None, 'skip rebuilding everything (for testing/debugging)')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Functions

get_constants(code)
  Returns the mapping of top-level "constants" defined by 'code'.
get_symbols(code, _symbols=None)
  Returns the set of names and string constants used by 'code' and any nested code objects.

## Globals

EXTENSION_MODULE_STUB = '# dynamic module loader stub for .egg zipfiles\nd...load_dynamic(__name__, __file__)\n__bootstrap__()\n'
NAMESPACE_PACKAGE_STUB = '# loader stub for .egg namespace packages\n__import__("pkg_resources").declare_namespace(__name__)\n'